Zercurity data services
  • Summary
  • Applications (7)
  • Packages (0)
  • Vulnerabilities (7)

linux-tools-4.10.0-37

Hashes
Linux kernel version specific tools for version 4.10.0-37 This package provides the architecture dependant parts for kernel version locked tools (such as perf and x86_energy_perf_policy) for version 4.10.0-37 on 64 bit x86. You probably want to install linux-tools-4.10.0-37-<flavour>.
  • SHA256: 17d81eaadc6b2b3d31b3558ed8d700d7df5ff9ac6b4acc967faf72ac0dec0700
  • SHA1: 4767471c13dac18498b688d1494cd80be999e073
  • MD5: 3abbedb84d878bd9203d5a79717b2787
Information
  • Version: 4.10.0-37.41
  • Filename: linux-tools-4.10.0-37_4.10.0-37.41_amd64.deb
  • Size: 4734
  • Type: DEB
  • Source: linux
  • Architecture: AMD64
  • Owner: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
  • Dependencies: binutils (>= 2.28), binutils (<< 2.29), libaudit1 (>= 1:2.2.1), libc6 (>= 2.14), libdw1 (>= 0.157), libelf1 (>= 0.144), liblzma5 (>= 5.1.1alpha+20120614), libpci3 (>= 1:3.3.1-1), libslang2 (>= 2.2.4), libudev1 (>= 183), libunwind8, zlib1g (>= 1:1.1.4), linux-tools-common

Applications

NameTypeArchSizeRisk
libcpupower.so.4.10.0-37
/usr/lib/libcpupower.so.4.10.0-37
227040
usbip
/usr/lib/linux-tools-4.10.0-37/usbip
675440
turbostat
/usr/lib/linux-tools-4.10.0-37/turbostat
769040
cpupower
/usr/lib/linux-tools-4.10.0-37/cpupower
752240
perf
/usr/lib/linux-tools-4.10.0-37/perf
42916400
usbipd
/usr/lib/linux-tools-4.10.0-37/usbipd
554400
x86_energy_perf_policy
/usr/lib/linux-tools-4.10.0-37/x86_energy_perf_policy
101200

Vulnerabilities

NameRiskSourceFixed
CVE-2017-1091165USN
USN-3470-2
CVE-2017-1066378USN
linux-doc
4.10.0-38.42
CVE-2017-1434055USN
linux-doc
4.10.0-38.42
CVE-2017-100025255USN
linux-doc
4.10.0-38.42
CVE-2017-1091165USN
USN-3470-2
linux-source-4.10.0
4.10.0-38.42
CVE-2017-1117678USN
linux-doc
4.10.0-38.42
CVE-2017-1091165USN
linux-doc
4.10.0-38.42

Raw Object

{
  "sha256": "17d81eaadc6b2b3d31b3558ed8d700d7df5ff9ac6b4acc967faf72ac0dec0700",
  "sha1": "4767471c13dac18498b688d1494cd80be999e073",
  "md5": "3abbedb84d878bd9203d5a79717b2787",
  "type": "DEB",
  "arch": "AMD64",
  "name": "linux-tools-4.10.0-37",
  "filename": "linux-tools-4.10.0-37_4.10.0-37.41_amd64.deb",
  "size": 4734,
  "description": "Linux kernel version specific tools for version 4.10.0-37\nThis package provides the architecture dependant parts for kernel\nversion locked tools (such as perf and x86_energy_perf_policy) for\nversion 4.10.0-37 on\n64 bit x86.\nYou probably want to install linux-tools-4.10.0-37-<flavour>.",
  "url": null,
  "version": "4.10.0-37.41",
  "source": "linux",
  "owner": "Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>",
  "dependencies": "binutils (>= 2.28), binutils (<< 2.29), libaudit1 (>= 1:2.2.1), libc6 (>= 2.14), libdw1 (>= 0.157), libelf1 (>= 0.144), liblzma5 (>= 5.1.1alpha+20120614), libpci3 (>= 1:3.3.1-1), libslang2 (>= 2.2.4), libudev1 (>= 183), libunwind8, zlib1g (>= 1:1.1.4), linux-tools-common",
  "applications": [
    {
      "path": "/usr/lib/libcpupower.so.4.10.0-37",
      "sha256": "4deee0e3ac72eeede51aa1a8bc84a9a3d73f7fc7e3d669a6ea0a0a90944b5fc0",
      "sha1": "38ffa00e093ec069fe96c5ac187e3de20168b277",
      "md5": "2afe013d22ad66a76cfc8b02ae4ea0ea",
      "name": "libcpupower.so.4.10.0-37",
      "size": 22704,
      "description": null,
      "package": 2110598,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-03-21T15:51:37+00:00",
      "updated_at": "2021-03-21T15:51:37+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/lib/linux-tools-4.10.0-37/usbip",
      "sha256": "2c15265d3160763461d2fd58a8098402d2689b0147a52fb9b1d4c98e00f452cc",
      "sha1": "c058e114973b5537bd37a4a0f120bf70142f3f1e",
      "md5": "42be4fe4ebde0e218f34520ace632cdb",
      "name": "usbip",
      "size": 67544,
      "description": null,
      "package": 2110598,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-03-21T15:51:37+00:00",
      "updated_at": "2021-03-21T15:51:37+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/lib/linux-tools-4.10.0-37/turbostat",
      "sha256": "c2d2611d054949debb51fc8c83e5295129da087abc89d07f7b6fbaa252494013",
      "sha1": "e1e83e6cbf767ef42ec264afc6113ee6e1b85a33",
      "md5": "66bfcec4def2812d64dd741579a05216",
      "name": "turbostat",
      "size": 76904,
      "description": null,
      "package": 2110598,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-03-21T15:51:37+00:00",
      "updated_at": "2021-03-21T15:51:37+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/lib/linux-tools-4.10.0-37/cpupower",
      "sha256": "5cccfb3b6ba0f331c47646c488dafb64e892cb422ddb9fda1bd757d7bd2b135b",
      "sha1": "11a883ac764ebd59846e490c9d8b2face063220d",
      "md5": "fddb44464c6ebacfeb17ed07f2afb784",
      "name": "cpupower",
      "size": 75224,
      "description": null,
      "package": 2110598,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-03-21T15:51:37+00:00",
      "updated_at": "2021-03-21T15:51:37+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/lib/linux-tools-4.10.0-37/perf",
      "sha256": "84134b1207fa2a13d776a3bb1021b9d81058866c94f86dd2d8c9411ceee4ecf3",
      "sha1": "7bf39abd8b08108328eb1006331ffe1153f38566",
      "md5": "72bbe663220525fefa1176c51060e0cf",
      "name": "perf",
      "size": 4291640,
      "description": null,
      "package": 2110598,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-03-21T15:51:37+00:00",
      "updated_at": "2021-03-21T15:51:37+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/lib/linux-tools-4.10.0-37/usbipd",
      "sha256": "cc6e7469d2355b068fc0ba2da34e9dfd52e82590d772a9f7935a45f6bebd576c",
      "sha1": "7981487a38deb2ea86417258776135c7512ece30",
      "md5": "333fafd3b547db7a9a8301b1e2e8d21d",
      "name": "usbipd",
      "size": 55440,
      "description": null,
      "package": 2110598,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-03-21T15:51:37+00:00",
      "updated_at": "2021-03-21T15:51:37+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/lib/linux-tools-4.10.0-37/x86_energy_perf_policy",
      "sha256": "a1fde5179508a97ea6c72561f62cb4cb79256e246a713e669a2272ecd2c7f0ab",
      "sha1": "1c4992116acdbf8abbfff29880a9c785d12e65df",
      "md5": "7001c77386c24a5fcacab770a9b1c854",
      "name": "x86_energy_perf_policy",
      "size": 10120,
      "description": null,
      "package": 2110598,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-03-21T15:51:37+00:00",
      "updated_at": "2021-03-21T15:51:37+00:00",
      "deleted_at": null
    }
  ],
  "vulnerabilities": [
    {
      "name": "CVE-2017-10911",
      "risk": 65,
      "source": "USN",
      "sid": "USN-3470-2",
      "fixed": null,
      "created_at": "2021-03-21T16:45:15+00:00",
      "updated_at": "2021-03-21T16:45:15+00:00"
    },
    {
      "name": "CVE-2017-10663",
      "risk": 78,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "a53dbd0961e551316ea2557eb0683c9df3415c4c4a44912e6a9f02e863df7918",
        "name": "linux-doc",
        "version": "4.10.0-38.42",
        "filename": "linux-doc_4.10.0-38.42_all.deb"
      },
      "created_at": "2021-03-22T08:45:34+00:00",
      "updated_at": "2021-06-29T23:54:31+00:00"
    },
    {
      "name": "CVE-2017-14340",
      "risk": 55,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "a53dbd0961e551316ea2557eb0683c9df3415c4c4a44912e6a9f02e863df7918",
        "name": "linux-doc",
        "version": "4.10.0-38.42",
        "filename": "linux-doc_4.10.0-38.42_all.deb"
      },
      "created_at": "2021-03-22T08:45:50+00:00",
      "updated_at": "2021-06-30T00:50:32+00:00"
    },
    {
      "name": "CVE-2017-1000252",
      "risk": 55,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "a53dbd0961e551316ea2557eb0683c9df3415c4c4a44912e6a9f02e863df7918",
        "name": "linux-doc",
        "version": "4.10.0-38.42",
        "filename": "linux-doc_4.10.0-38.42_all.deb"
      },
      "created_at": "2021-03-22T09:36:03+00:00",
      "updated_at": "2021-06-29T23:03:40+00:00"
    },
    {
      "name": "CVE-2017-10911",
      "risk": 65,
      "source": "USN",
      "sid": "USN-3470-2",
      "fixed": {
        "sha256": "8f71947940d25d862b87af2c2909bde5f299081f6295408b76c0ba8d67554a5d",
        "name": "linux-source-4.10.0",
        "version": "4.10.0-38.42",
        "filename": "linux-source-4.10.0_4.10.0-38.42_all.deb"
      },
      "created_at": "2021-06-03T09:34:13+00:00",
      "updated_at": "2021-06-03T09:34:13+00:00"
    },
    {
      "name": "CVE-2017-11176",
      "risk": 78,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "a53dbd0961e551316ea2557eb0683c9df3415c4c4a44912e6a9f02e863df7918",
        "name": "linux-doc",
        "version": "4.10.0-38.42",
        "filename": "linux-doc_4.10.0-38.42_all.deb"
      },
      "created_at": "2021-03-22T08:30:01+00:00",
      "updated_at": "2021-06-30T03:00:30+00:00"
    },
    {
      "name": "CVE-2017-10911",
      "risk": 65,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "a53dbd0961e551316ea2557eb0683c9df3415c4c4a44912e6a9f02e863df7918",
        "name": "linux-doc",
        "version": "4.10.0-38.42",
        "filename": "linux-doc_4.10.0-38.42_all.deb"
      },
      "created_at": "2021-03-21T22:05:03+00:00",
      "updated_at": "2021-06-30T21:37:09+00:00"
    }
  ],
  "risk": 78,
  "vulnerable": 78,
  "outdated": 0,
  "malicious": 0,
  "created_at": "2017-10-06T23:45:12+00:00",
  "updated_at": "2021-03-21T15:51:37+00:00",
  "deleted_at": null
}